Package org.kie.api.runtime.manager.audit

## Interface ProcessInstanceLog

-     public interface ProcessInstanceLog

  Audit view of process instance

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Long` | `getDuration()` | Amount of time (in milliseconds) that process instance took to complete.
    `java.util.Date` | `getEnd()` | End date of this process instance, null if process instance is still active
    `java.lang.String` | `getExternalId()` | External (optional) identifier associated with this process instance
    `java.lang.String` | `getIdentity()` | Identifier of a entity (user) who initiated this process instance.
    `java.lang.String` | `getOutcome()` | Outcome of the process instance that is providing error information in case process instance completed with an error
    `java.lang.Long` | `getParentProcessInstanceId()` | Parent process instance id, will be null for top level process instance
    `java.lang.String` | `getProcessId()` | Process id of the definition
    `java.lang.String` | `getProcessInstanceDescription()` | Description of the process instance
    `java.lang.Long` | `getProcessInstanceId()` | Process instance identifier
    `java.lang.String` | `getProcessName()` | Name of the process definition
    `java.lang.String` | `getProcessVersion()` | Version of the process definition
    `java.util.Date` | `getStart()` | Start date of this process instance
    `java.lang.Integer` | `getStatus()` | Status of the process instance and might be one of: ProcessInstance.STATE_ACTIVE ProcessInstance.STATE_COMPLETED ProcessInstance.STATE_ABORTED ProcessInstance.STATE_SUSPENDED

- - ### Method Detail

    - #### getProcessInstanceId

          java.lang.Long getProcessInstanceId()

      Process instance identifier
      Returns:
        the `Long` value

    - #### getProcessId

          java.lang.String getProcessId()

      Process id of the definition
      Returns:
        the `String` value

    - #### getStart

          java.util.Date getStart()

      Start date of this process instance
      Returns:
        the `Date` value

    - #### getEnd

          java.util.Date getEnd()

      End date of this process instance, null if process instance is still active
      Returns:
        the `Date` value

    - #### getStatus

          java.lang.Integer getStatus()

      Status of the process instance and might be one of:
      - ProcessInstance.STATE_ACTIVE
      - ProcessInstance.STATE_COMPLETED
      - ProcessInstance.STATE_ABORTED
      - ProcessInstance.STATE_SUSPENDED
      Returns:
        the `Integer` value

    - #### getParentProcessInstanceId

          java.lang.Long getParentProcessInstanceId()

      Parent process instance id, will be null for top level process instance
      Returns:
        the `Long` value

    - #### getOutcome

          java.lang.String getOutcome()

      Outcome of the process instance that is providing error information in case process instance completed with an error
      Returns:
        the `String` value

    - #### getDuration

          java.lang.Long getDuration()

      Amount of time (in milliseconds) that process instance took to complete. Available only when process instance is completed.
      Returns:
        the `String` value

    - #### getIdentity

          java.lang.String getIdentity()

      Identifier of a entity (user) who initiated this process instance.
      Returns:
        the `String` value

    - #### getExternalId

          java.lang.String getExternalId()

      External (optional) identifier associated with this process instance
      Returns:
        the `String` value

    - #### getProcessVersion

          java.lang.String getProcessVersion()

      Version of the process definition
      Returns:
        the `String` value

    - #### getProcessName

          java.lang.String getProcessName()

      Name of the process definition
      Returns:
        the `String` value

    - #### getProcessInstanceDescription

          java.lang.String getProcessInstanceDescription()

      Description of the process instance
      Returns:
        the `String` value